Subject: [bug#53878] [PATCH v2 09/15] gnu: Add racket-vm-cgc.

From: Philip McGrath <[email-masked]>
Date: Fri, 18 Feb 2022 18:40:39 -0500

Hi,

On Friday, February 18, 2022 2:21:25 AM EST Liliana Marie Prikler wrote:
> Am Donnerstag, dem 17.02.2022 um 15:50 -0500 schrieb Philip McGrath:
> > [...]
> > +(define-public racket-vm-cgc
> > +  ;; Eventually, it may make sense for some vm packages to not be
> > hidden,
> > +  ;; but this one is especially likely to remain hidden.
> > +  (hidden-package
> > +   (package
> > +     (name "racket-vm-cgc")
> > +     (version "8.4")
> > +     ;; ^ Remember to also update the version of
> > +     ;;   chez-scheme-for-racket-bootstrap-bootfiles
> > +     (source
> > +      (origin
> > +        (method git-fetch)
> > +        (uri (git-reference
> > +              (url "https://github.com/racket/racket")
> > +              (commit (string-append "v" version))))
> > +        (sha256
> > +         (base32
> > "1vpl66gdgc8rnldmn8rmb7ar9l057jqjvgpfn29k57i3c5skr8s6"))
> > +        (file-name (git-file-name "racket" version))
> > +        (patches (search-patches "racket-minimal-sh-via-rktio.patch"
> > 
> > +                                 ;; Remove by Racket 8.5:
> > [...]
> 
> As with the Scheme bootstrap chain, if this all depends on the same
> racket origin, you might want to inherit from the racket package or
> just 
> (define %racket-version "8.4")
> (define %racket-origin (origin ...))
> and use them across the packages.  Making them procedures to pass
> version and source to would also work imo.

I think the `racket` package is emphatically not the right place to define the 
version and origin for Racket: I'll explain in more detail in reply to your 
comments on patch v2 15/15.

I'm not opposed to `%racket-version` and `%racket-origin`—actually, I kind of 
like that approach. If we went that way, I'd suggest defining `%scheme-fork-
version-number` (the version of `chez-scheme-for-racket`) in the same place, 
because it seems like it would be easy for someone to forget to update that at 
the same time.

It should be an easy change, so I guess I'll send a v3 doing that after I 
reply to your other comments, rather than wait to debate it.

-Philip